Timeline ReasonsPreset a timeline reason

Preset a timeline reason

Allows users to preset a timeline reason for a machine. It is useful for real-time or pre-scheduled event labeling, ensuring accurate machine activity tracking.

curl -X POST "https://wm.novoai.de/v2/timeline/reason_preset" \
  -H "Content-Type: application/json" \
  -H "accept: application/json" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -d '{
  "machine_id": 1,
  "reason_id": 1,
  "meta_frontend": {},
  "idx": 1
}'
{
  "status": 1,
  "message": "Live Timeline Reason Set Successfully"
}
POST
/v2/timeline/reason_preset
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (JWT)
Bearer Tokenstring
Required

JWT Bearer token authentication. Include in the Authorization header as Bearer <token>.

JWT Bearer token authentication. Include in the Authorization header as Bearer <token>.
API Key (header: X-API-KEY)
X-API-KEYstring
Required

API-Access Key authentication. Include the generated key in the X-API-KEY header.

API-Access Key authentication. Include the generated key in the X-API-KEY header.
Content-Typestring
Required

The media type of the request body

Options: application/json
header
acceptstring
Required

Must be application/json.

header
Content-Typestring
Required

Must be application/json for POST requests.

machine_idinteger
Required

The machine to which the timeline reason is assigned.

reason_idinteger
Required

The ID of the timeline reason being preset.

meta_frontendobject

Additional frontend metadata.

idxinteger
Required

The timeline entry index for reference.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). JWT Bearer token authentication. Include in the Authorization header as Bearer \<token\>.

header
X-API-KEYstring
Required

API Key for authentication. API-Access Key authentication. Include the generated key in the X-API-KEY header.

Headers

acceptstring
Required

Must be application/json.

Example:
application/json
Content-Typestring
Required

Must be application/json for POST requests.

Example:
application/json

Body

application/json
machine_idinteger
Required

The machine to which the timeline reason is assigned.

reason_idinteger
Required

The ID of the timeline reason being preset.

meta_frontendobject

Additional frontend metadata.

idxinteger
Required

The timeline entry index for reference.

Responses

statusinteger
Required

Indicates the success of the request. 1 for success, 0 for failure.

messagestring
Required

Success confirmation message.